Update default transaction limit
curl --request PATCH \
--url https://waas-staging.embedly.ng/api/v1/limits/default/update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"currencyid": "<string>",
"productid": "<string>",
"customerid": "<string>",
"singleTransactionLimit": "<string>",
"frequency": 123,
"dailyTransactionLimit": 123,
"monthlyTransactionLimit": 123,
"id": "<string>"
}
'import requests
url = "https://waas-staging.embedly.ng/api/v1/limits/default/update"
payload = {
"currencyid": "<string>",
"productid": "<string>",
"customerid": "<string>",
"singleTransactionLimit": "<string>",
"frequency": 123,
"dailyTransactionLimit": 123,
"monthlyTransactionLimit": 123,
"id": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
currencyid: '<string>',
productid: '<string>',
customerid: '<string>',
singleTransactionLimit: '<string>',
frequency: 123,
dailyTransactionLimit: 123,
monthlyTransactionLimit: 123,
id: '<string>'
})
};
fetch('https://waas-staging.embedly.ng/api/v1/limits/default/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Update default transaction limit
The endpoint allows you to update default transaction limits..
PATCH
/
limits
/
default
/
update
Update default transaction limit
Request Body
string
required
The unique identifier of the currency
Example: ‘e678b629-fb56-11ef-a8a9-6045bd97b81d’
string
required
The unique identifier of the product
Example: ‘3fa85f64-5717-4562-b3fc-2c963f66afa6’
Example: ‘3fa85f64-5717-4562-b3fc-2c963f66afa6’
string
required
The unique identifier of the product
Example: ‘3fa85f64-5717-4562-b3fc-2c963f66afa6’
Example: ‘3fa85f64-5717-4562-b3fc-2c963f66afa6’
string
required
The unique identifier of the product
Example: 500
Example: 500
number
required
Example: 0
number
required
Example: 0
number
required
Example: 0
string
required
Example: ‘3fa85f64-5717-4562-b3fc-2c963f66afa6’
Response
✅ Success ResponseStatus Code: 200 OK
{
"code": "00",
"success": true,
"message": "Limits updated successfully",
"data": {
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"currencyId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"productId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"customerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"singleTransactionLimit": 0,
"frequency": 0,
"dailyTransactionLimit": 0,
"monthlyTransactionLimit": 0
}
}
❌ Error Responses
Status Code: 400 Bad Request
{
"code": "-32",
"success": false,
"message": "Invalid Frequency specified",
"data": null
}